/* 관리자바 여백 숨기기 */
body.admin-bar {margin-top: -32px;}
@media screen and (max-width: 782px) {
body.admin-bar {margin-top: -46px;} }

/* 최상단 헤더 자리 비우기 */
body.login-visible .wp-site-blocks { padding-top: 105px; }
body.guest-visible .wp-site-blocks { padding-top: 77px; }

.wp-site-blocks {
  max-width: 1000px;
  margin-left: auto;
  margin-right: auto;
}

/* 임시지연 */
.entry-content {
  opacity: 0;
  animation: fadein 0.2s linear forwards;
  animation-delay:1s;
}

@keyframes fadein {
  to {
    opacity: 1;
  }
}

a {
  text-decoration: none;
}
:root :where(p a:where(:not(.wp-element-button))) {color: inherit!important;}


/* 전체 정렬 길면 알아서 줄바꿈 */
.has-text-align-center,
.has-text-align-right,
.has-text-align-left {
  white-space: normal;
  word-break: keep-all;
  overflow-wrap: break-word;
}

/* 글 콘텐츠 내부 헤딩 폰트 변경 */
H1,H2,H3,h4,h5,h6 {
  font-family: 'KOHIBaeumOTF';
}
H2,H3,h4,h5,h6 {
  font-size: var(--wp--preset--font-size--x-large);
}

header.wp-block-template-part .wp-block-site-title {
  font-family: 'twayair';
}

/* 리뷰 글자만 패딩 */
@media (min-width: 769px) {
.img-die.wp-block-post-content > *:not(.wp-block-image):not(hr):not(div.wp-block-columns):not(figure.wp-block-embed-youtube) {
  max-width: var(--wp--style--global--content-size);
  margin-left: auto;
  margin-right: auto;
  }
}

@media (max-width: 768px) {
.img-die.wp-block-post-content > :is(/*.wp-block-image*/,.twitter-style),
.novel-category .category-featured-image {
  margin-left: calc(-1 * var(--custom-global-padding))!important;
  margin-right: calc(-1 * var(--custom-global-padding))!important;
  width: calc(100% + (2 * var(--custom-global-padding)))!important;
  max-width: 100vw;
  box-sizing: border-box;
} }

/* 모바일 마진 풀브리드 강제*/
@media (max-width: 768px) {
.really-no-padding {
  margin-left: calc(-1 * var(--custom-global-padding))!important;
  margin-right: calc(-1 * var(--custom-global-padding))!important;
  width: calc(100% + (2 * var(--custom-global-padding)))!important;
  min-width: 100vw;
  max-width: 100vw;
  box-sizing: border-box;
} }

.no-margin-group {
  margin-block-start: 0 !important;
  margin-block-end: 0 !important;
}

/* 쿼리 블록에 적용-그리드 모바일 2열 고정 */
@media screen and (max-width: 768px) {
  .mobile-grid-gallery .wp-block-post-template.is-layout-grid {
    display: grid !important;
    grid-template-columns: repeat(2, 1fr) !important;
  }
}

/* 쿼리 블록에 적용-그리드 모바일 3열 고정 */
@media screen and (max-width: 768px) {
  .mobile-3-grid-gallery .wp-block-post-template.is-layout-grid {
    display: grid !important;
    grid-template-columns: repeat(3, 1fr) !important;
  }
}

/* 마호스토리 카테고리-그리드 모바일 2열 고정 */
@media screen and (max-width: 1000px) {
  .maho-grid-gallery .wp-block-post-template.is-layout-grid {
    display: grid !important;
    grid-template-columns: repeat(2, 1fr) !important;
  }
}
@media screen and (max-width: 600px) {
  .maho-grid-gallery .wp-block-post-template.is-layout-grid {
    display: grid !important;
    grid-template-columns: repeat(1, 1fr) !important;
  }
}